Bug 218408 - ftp/wget: update to 1.19.1
Summary: ftp/wget: update to 1.19.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vasil Dimov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-05 22:22 UTC by Anton Yuzhaninov
Modified: 2017-06-13 07:41 UTC (History)
0 users

See Also:
vd: maintainer-feedback+


Attachments
Update to 1.19.1 (3.84 KB, patch)
2017-04-05 22:22 UTC, Anton Yuzhaninov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Yuzhaninov 2017-04-05 22:22:56 UTC
Created attachment 181518 [details]
Update to 1.19.1

Update ftp/wget from 1.19 to 1.19.1

Changelog: http://git.savannah.gnu.org/cgit/wget.git/plain/NEWS

- add test target and TEST_DEPENDS
- remove gmake from USES: current version of wget can be build without gmake
- unbreak IDN option: since 1.19 wget uses libidn2 instead libidn
- libidn2 uses libunstring from ports, so when IDN options is enabled use libunstring from port instead bundled one
- disabling pcre support using ./configure --disable-pcre currently works, use it
- remove Makefile and configure patches which are no longer needed
- patch /usr/local to $PREFIX in wget.info too
- delete files/patch-src__main.c - this bug has been fixed on Mar 2, 2015 [1]

[1] http://git.savannah.gnu.org/cgit/wget.git/commit/?id=9dde436dd689bd51eef71d64152dde9c8c0b5f65

portlint: looks fine.
Tested using 'poudriere testport' with default options on FreeBSD 10.3 and 11.0
Tested with non-default options on FreeBSD 11.0 amd64.
Comment 1 Anton Yuzhaninov 2017-04-05 22:59:19 UTC
(In reply to Anton Yuzhaninov from comment #0)
There is a typo above, I mean libunistring instead libunstring.
Comment 2 commit-hook freebsd_committer 2017-04-06 08:56:34 UTC
A commit references this bug:

Author: vd
Date: Thu Apr  6 08:56:23 UTC 2017
New revision: 437857
URL: https://svnweb.freebsd.org/changeset/ports/437857

Log:
  Upgrade ftp/wget from 1.19 to 1.19.1

  Changelog: http://git.savannah.gnu.org/cgit/wget.git/plain/NEWS

  - add test target and TEST_DEPENDS
  - remove gmake from USES: current version of wget can be build without
    gmake
  - unbreak IDN option: since 1.19 wget uses libidn2 instead of libidn
  - libidn2 uses libunistring from ports, so when the IDN option is enabled
    use libunistring from the ports instead of the bundled one
  - disabling pcre support using ./configure --disable-pcre currently works,
    use it
  - remove Makefile and configure patches which are no longer needed
  - patch /usr/local to $PREFIX in wget.info too
  - delete files/patch-src__main.c - this bug has been fixed
    on Mar 2, 2015 [1]

  [1] http://git.savannah.gnu.org/cgit/wget.git/commit/?id=9dde436dd689bd51eef71d64152dde9c8c0b5f65

  PR:		218408
  Submitted by:	Anton Yuzhaninov <citrin+pr@citrin.ru>

Changes:
  head/ftp/wget/Makefile
  head/ftp/wget/distinfo
  head/ftp/wget/files/
Comment 3 Vasil Dimov freebsd_committer 2017-04-06 08:59:31 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2017-06-13 07:41:18 UTC
A commit references this bug:

Author: vd
Date: Tue Jun 13 07:40:18 UTC 2017
New revision: 443488
URL: https://svnweb.freebsd.org/changeset/ports/443488

Log:
  MFH: r437857

  Upgrade ftp/wget from 1.19 to 1.19.1

  Changelog: http://git.savannah.gnu.org/cgit/wget.git/plain/NEWS

  - add test target and TEST_DEPENDS
  - remove gmake from USES: current version of wget can be build without
    gmake
  - unbreak IDN option: since 1.19 wget uses libidn2 instead of libidn
  - libidn2 uses libunistring from ports, so when the IDN option is enabled
    use libunistring from the ports instead of the bundled one
  - disabling pcre support using ./configure --disable-pcre currently works,
    use it
  - remove Makefile and configure patches which are no longer needed
  - patch /usr/local to $PREFIX in wget.info too
  - delete files/patch-src__main.c - this bug has been fixed
    on Mar 2, 2015 [1]

  [1] http://git.savannah.gnu.org/cgit/wget.git/commit/?id=9dde436dd689bd51eef71d64152dde9c8c0b5f65

  PR:		218408
  Submitted by:	Anton Yuzhaninov <citrin+pr@citrin.ru>

  Approved by:	ports-secteam

Changes:
_U  branches/2017Q2/
  branches/2017Q2/ftp/wget/Makefile
  branches/2017Q2/ftp/wget/distinfo
  branches/2017Q2/ftp/wget/files/